View Issue Details

IDProjectCategoryView StatusLast Update
0016431ScribusStory Editor / Text Framespublic2021-01-22 10:44
ReporterhohesC Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLaptopOSWindows 10 ProOS Version
Product Version1.5.6 
Target VersionFixed in Version1.5.7.svn 
Summary0016431: Page numbers placed in masterpages not displayed correctly when objects are grouped
DescriptionA line, a text box with text and a text box with page number. These are selected and grouped, then highlighted and then added as a master page.
When applying the master page, the page number is displayed incorrectly, and always the same.

Solution: do not group objects, then it works. Seems to be a bug.

Eine Linie, ein Textfeld mit Text und ein Textfeld mit Seitenzahl. Diese werden markiert und gruppiert, anschließend markiert und dann als Musterseite hinzugefügt.
Beim Anwenden der Musterseite wird die Seitenzahl falsch angezeigt, und immer die gleiche.

Lösung: Objekte nicht gruppieren, dann funktioniert es. Scheint ein Bug zu sein.
TagsNo tags attached.
PatchNo

Activities

hohesC

2021-01-13 21:50

reporter   ~0048687

it´s Version 1.5.6.1

PeterBenedek

2021-01-14 05:43

developer   ~0048688

I can't reproduce. Please upload a sample document. Thanks.

hohesC

2021-01-14 19:33

reporter   ~0048691

here is a sample document

Dokument-1.sla (461,259 bytes)

PeterBenedek

2021-01-14 20:07

developer   ~0048692

Thanks for upload. I get it now.
Tested the sample document in Scribus 1.5.7svn.

I can reproduce. Really, this seems a bug.

hohesC

2021-01-14 20:29

reporter   ~0048693

great, or not great :)

hohesC

2021-01-14 20:33

reporter   ~0048694

https://www.youtube.com/watch?v=FZaX6oCKMI0&lc=UgySJp1l1CBAOBLjbwd4AaABAg.9IR0FNO28C79IToMDApQUv

in this video starting at minute12:35 the guy is doing this thing, but he doesn´t get an error.
He used version 1.4.6
maybe this helps

jghali

2021-01-20 23:34

administrator   ~0048728

I have committed a first fix which fixed on screen rendering, at this point PDF export is still not ok tho.

jghali

2021-01-20 23:52

administrator   ~0048729

In the end I reverted that first fix in order to prevent screen vs PDF inconsistencies as fixing the PDF side of this issue will be apparently more involved.

jghali

2021-01-21 22:09

administrator   ~0048731

Should be fixed now.

hohesC

2021-01-21 22:16

reporter   ~0048732

thanks!! you do a great work here

PeterBenedek

2021-01-22 10:44

developer   ~0048740

Tested in Linux Mint 20.1; Scribus 1.5.7svn

Work perfectly. Thanks Jean!

Issue History

Date Modified Username Field Change
2021-01-13 21:49 hohesC New Issue
2021-01-13 21:49 hohesC Tag Attached: #please_test
2021-01-13 21:50 hohesC Note Added: 0048687
2021-01-13 21:51 hohesC Tag Detached: #please_test
2021-01-14 02:57 jghali Summary Seitenzahl wird bei Musterseite wenn Objekte gruppiert sind nicht richtig angezeigt => Page numbers placed in masterpages not displayed correctly when objects are grouped
2021-01-14 02:58 jghali Category - => Story Editor / Text Frames
2021-01-14 05:43 PeterBenedek Note Added: 0048688
2021-01-14 19:33 hohesC File Added: Dokument-1.sla
2021-01-14 19:33 hohesC Note Added: 0048691
2021-01-14 20:07 PeterBenedek Note Added: 0048692
2021-01-14 20:29 hohesC Note Added: 0048693
2021-01-14 20:33 hohesC Note Added: 0048694
2021-01-20 23:21 jghali Assigned To => jghali
2021-01-20 23:21 jghali Status new => resolved
2021-01-20 23:21 jghali Resolution open => fixed
2021-01-20 23:21 jghali Fixed in Version => 1.5.7.svn
2021-01-20 23:32 jghali Assigned To jghali =>
2021-01-20 23:32 jghali Status resolved => feedback
2021-01-20 23:32 jghali Resolution fixed => reopened
2021-01-20 23:33 jghali Status feedback => new
2021-01-20 23:34 jghali Note Added: 0048728
2021-01-20 23:52 jghali Note Added: 0048729
2021-01-21 22:09 jghali Assigned To => jghali
2021-01-21 22:09 jghali Status new => resolved
2021-01-21 22:09 jghali Resolution reopened => fixed
2021-01-21 22:09 jghali Note Added: 0048731
2021-01-21 22:16 hohesC Note Added: 0048732
2021-01-22 10:44 PeterBenedek Note Added: 0048740